package geagle

type GridUnit string

// Grid Units
const (
	GRID_INCH GridUnit = "inch" // inch
	GRID_MIL           = "mil"  // milli inch

	GRID_MM      = "mm"  // milli meter
	GRID_MICRONS = "mic" // micrometer
)

// Grid definition
type Grid struct {
	Distance float32  `xml:"distance,attr"`
	Unitdist GridUnit `xml:"unitdist,attr"`
	Unit     GridUnit `xml:"unit,attr"`
	Style    string   `xml:"style,attr"`
	Multiple int      `xml:"multiple,attr"`
	Display  Boolean  `xml:"display,attr"`

	// Alternative Grid Information
	AlternativeDistance     float32  `xml:"altdistance,attr"`
	AlternativeDistanceUnit GridUnit `xml:"altunitdist,attr"`
	AlternativeUnit         GridUnit `xml:"altunit,attr"`
}
